<?php
defined('TYPO3_MODE') || die();

(static function() {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobslist',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsdetail',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection1',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection1, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection1, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection2',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection2, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection2, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection3',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection3, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection3, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection4',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection4, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection4, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection5',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection5, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection5, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection6',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection6, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection6, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection7',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection7, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection7, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection8',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection8, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection8, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection9',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection9, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection9, list'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Z14ComvahroBewerber3',
        'Jobsselection10',
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection10, list, show'
        ],
        // non-cacheable actions
        [
            \Z14\Z14ComvahroBewerber3\Controller\RenderController::class => 'selection10, list'
        ]
    );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    jobslist {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobslist
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobslist.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobslist.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobslist
                        }
                    }
                    jobsdetail {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsdetail
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsdetail.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsdetail.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsdetail
                        }
                    }
                    jobsselection1 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection1
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection1.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection1.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection1
                        }
                    }
                    jobsselection2 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection2
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection2.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection2.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection2
                        }
                    }
                    jobsselection3 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection3
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection3.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection3.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection3
                        }
                    }
                    jobsselection4 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection4
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection4.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection4.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection4
                        }
                    }
                    jobsselection5 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection5
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection5.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection5.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection5
                        }
                    }
                    jobsselection6 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection6
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection6.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection6.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection6
                        }
                    }
                    jobsselection7 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection7
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection7.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection7.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection7
                        }
                    }
                    jobsselection8 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection8
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection8.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection8.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection8
                        }
                    }
                    jobsselection9 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection9
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection9.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection9.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection9
                        }
                    }
                    jobsselection10 {
                        iconIdentifier = z14_comvahro_bewerber3-plugin-jobsselection10
                        title = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection10.name
                        description = LLL:EXT:z14_comvahro_bewerber3/Resources/Private/Language/locallang_db.xlf:tx_z14_comvahro_bewerber3_jobsselection10.description
                        tt_content_defValues {
                            CType = list
                            list_type = z14comvahrobewerber3_jobsselection10
                        }
                    }
                }
                show = *
            }
       }'
    );

    $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobslist',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobslist.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsdetail',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsdetail.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection1',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection1.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection2',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection2.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection3',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection3.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection4',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection4.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection5',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection5.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection6',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection6.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection7',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection7.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection8',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection8.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection9',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection9.svg']
    );
    $iconRegistry->registerIcon(
        'z14_comvahro_bewerber3-plugin-jobsselection10',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:z14_comvahro_bewerber3/Resources/Public/Icons/user_plugin_jobsselection10.svg']
    );
})();
## EXTENSION BUILDER DEFAULTS END TOKEN - Everything BEFORE this line is overwritten with the defaults of the extension builder

$GLOBALS['TYPO3_CONF_VARS']['SYS']['routing']['aspects']['IdentifierMapper'] =
    Z14\Z14ComvahroBewerber3\Routing\Aspect\IdentifierMapper::class;