<?php

declare(strict_types=1);

namespace Z14\Z14ComvahroBewerber3\ViewHelpers;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Frontend\Service\TypoLinkCodecService;

/**
 * Split file reference into file parts.
 */
class FileExistsViewHelper extends AbstractViewHelper
{

    /**
     * Initialize all arguments
     */
    public function initializeArguments()
    {
        $this->registerArgument(
            'absolutePathFromWebroot',
            'string',
            'Path to check',
            true
        );
    }

	public function render()
    {

        $path = $_SERVER['DOCUMENT_ROOT'] . $this->arguments['absolutePathFromWebroot'];
        return file_exists($path);

    }
}